## org.eclipse.datatools.modelbase.sql.constraints
Interface SQLConstraintsFactory

All Known Implementing Classes:
  SQLConstraintsFactoryImpl

    public interface SQLConstraintsFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SQLConstraintsPackage`

Field Summary
`static SQLConstraintsFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`Assertion` `createAssertion()` Returns a new object of class 'Assertion'.
`CheckConstraint` `createCheckConstraint()` Returns a new object of class 'Check Constraint'.
`ForeignKey` `createForeignKey()` Returns a new object of class 'Foreign Key'.
`Index` `createIndex()` Returns a new object of class 'Index'.
`IndexMember` `createIndexMember()` Returns a new object of class 'Index Member'.
`PrimaryKey` `createPrimaryKey()` Returns a new object of class 'Primary Key'.
`UniqueConstraint` `createUniqueConstraint()` Returns a new object of class 'Unique Constraint'.
`SQLConstraintsPackage` `getSQLConstraintsPackage()` Returns the package supported by this factory.

Field Detail

### eINSTANCE

    static final SQLConstraintsFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createAssertion

    Assertion createAssertion()

  Returns a new object of class 'Assertion'.

  Returns:
    a new object of class 'Assertion'.

### createCheckConstraint

    CheckConstraint createCheckConstraint()

  Returns a new object of class 'Check Constraint'.

  Returns:
    a new object of class 'Check Constraint'.

### createForeignKey

    ForeignKey createForeignKey()

  Returns a new object of class 'Foreign Key'.

  Returns:
    a new object of class 'Foreign Key'.

### createUniqueConstraint

    UniqueConstraint createUniqueConstraint()

  Returns a new object of class 'Unique Constraint'.

  Returns:
    a new object of class 'Unique Constraint'.

### createPrimaryKey

    PrimaryKey createPrimaryKey()

  Returns a new object of class 'Primary Key'.

  Returns:
    a new object of class 'Primary Key'.

### createIndex

    Index createIndex()

  Returns a new object of class 'Index'.

  Returns:
    a new object of class 'Index'.

### createIndexMember

    IndexMember createIndexMember()

  Returns a new object of class 'Index Member'.

  Returns:
    a new object of class 'Index Member'.

### getSQLConstraintsPackage

    SQLConstraintsPackage getSQLConstraintsPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.